### Method

# Gtk TreeViewColumnset_expand

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_set_expand (
      GtkTreeViewColumn* tree_column,
      gboolean expand
    )

#### Description [src]

Sets the column to take available extra space. This space is shared equally amongst all columns that have the expand set to `TRUE`. If no column has this option set, then the last column gets all extra space. By default, every column is created with this `FALSE`.

Along with “fixed-width”, the “expand” property changes when the column is resized by the user.

Deprecated since: 4.10

Use GtkColumnView instead.

Sets property | `Gtk.TreeViewColumn:expand`

#### Parameters

`expand`

  Type: `gboolean`

  `TRUE` if the column should expand to fill available space.